Name:             python-glanceclient
Version:          0.9.0
Release:          %mkrel 1
Summary:          Python API and CLI for OpenStack Glance

Group:            Development/Python
License:          ASL 2.0
URL:              http://github.com/openstack/python-glanceclient
Source0:          https://pypi.python.org/packages/source/p/%{name}/%{name}-%{version}.tar.xz

Patch0001: 0001-Fix-problem-running-glance-version.patch
Patch0002: 0002-Fix-glance-add-parsing-of-copy_from-option.patch
Patch0003: 0003-bug-1166263-image-update-handling-for-closed-stdin.patch

BuildArch:        noarch
BuildRequires:    python-setuptools

Requires:         python-httplib2
Requires:         python-keystoneclient
Requires:         python-prettytable
Requires:         python-setuptools
Requires:         python-warlock
Requires:         python-OpenSSL

%description
This is a client for the OpenStack Glance API. There's a Python API (the
glanceclient module), and a command-line script (glance). Each implements
100% of the OpenStack Glance API.

%prep
%setup -q

%patch0001 -p1
%patch0002 -p1
%patch0003 -p1

# Remove bundled egg-info
rm -rf python_glanceclient.egg-info
# let RPM handle deps
sed -i '/setup_requires/d; /install_requires/d; /dependency_links/d' setup.py

%build
%{__python} setup.py build

%install
%{__python} setup.py install -O1 --skip-build --root %{buildroot}

# generate versioninfo
echo "%{version}" > %{buildroot}%{python_sitelib}/glanceclient/versioninfo

# Delete tests
rm -fr %{buildroot}%{python_sitelib}/tests

%files
%doc README.rst
%doc LICENSE
%{_bindir}/glance
%{python_sitelib}/glanceclient
%{python_sitelib}/*.egg-info

%changelog
* Sun Aug 11 2013 billybot <billybot>
-update

